Download the movie of a preview

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /movies/originals/preview-files/{instance_id}/download

Download the movie of a preview as an attachment. You must have access to the task.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the preview file

Responses

  • 200 video/mp4

    The MP4 movie

  • 202 application/json

    The preview is still processing. The body has the status and the Retry-After header gives the delay. Only for a client that accepts application/json. Other clients get a 404.

    Hide response attributes Show response attributes object
    • status string
    • preview_file_id string(uuid)
  • 206 video/mp4

    A part of the movie, for a Range request

  • 403

    You do not have access to the task of this preview

  • 404

    The preview file or its file does not exist

GET /movies/originals/preview-files/{instance_id}/download
curl -X GET "http://api.example.com/movies/originals/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/download" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/movies/originals/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/download"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (202)
{
  "status": "processing",
  "preview_file_id": "a24a6ea4-ce75-4665-a070-57453082c250"
}